Get notes attached to an entity

GET https://api.expirationreminder.com/v1/notes/by-entity/{entityType}/{entityId}

Path Parameters

entityType integer Required
entityId string Required
GET /v1/notes/by-entity/{entityType}/{entityId}
$ curl https://api.expirationreminder.com/v1/notes/by-entity/{entityType}/{entityId} \
  -H "Authorization: Bearer <token>"

Responses

Property Type Description
notes NoteModel[] -
pages integer (int32) -
page integer (int32) -
total integer (int32) -

Example Response

{
  "notes": [
    {
    "id": "00000000-0000-0000-0000-000000000000",
    "name": "string",
    "body": "string",
    "body_text": "string",
    "team_id": "00000000-0000-0000-0000-000000000000",
    "created": "string",
    "modified": "string",
    "relations": [
    {
    "entity_id": "00000000-0000-0000-0000-000000000000",
    "entity_type": 0
  }
  ]
  }
  ],
  "pages": 0,
  "page": 0,
  "total": 0
}

Bad Request

Property Type Description
message string -
ok boolean -

Example Response

{
  "message": "string",
  "ok": false
}
An unhandled error has occurred. Reload 🗙

Rejoining the server...

Rejoin failed... trying again in seconds.

Failed to rejoin.
Please retry or reload the page.

The session has been paused by the server.

Failed to resume the session.
Please retry or reload the page.